### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
Interpolation2D::templateImpl< I1, I2, M > Class Template Reference

basic template implementation More...

`#include <ql/math/interpolations/interpolation2d.hpp>`

Inheritance diagram for Interpolation2D::templateImpl< I1, I2, M >:
[legend]

List of all members.

## Public Member Functions

| templateImpl (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const I2 &yEnd, const M &zData)
Real | xMin () const
Real | xMax () const
std::vector< Real > | xValues () const
Real | yMin () const
Real | yMax () const
std::vector< Real > | yValues () const
const Matrix & | zData () const
bool | isInRange (Real x, Real y) const

## Protected Member Functions

Size | locateX (Real x) const
Size | locateY (Real y) const

## Protected Attributes

I1 | xBegin_
I1 | xEnd_
I2 | yBegin_
I2 | yEnd_
const M & | zData_

## Detailed Description

### template<class I1, class I2, class M>
class QuantLib::Interpolation2D::templateImpl< I1, I2, M >

basic template implementation